User authentication is temporarily unavailable. If this situation persists, please inform your Wiki Admin.

The DB Patch System for upgrades

When a upgrade install is done using an existing database or a new install is done with an initial import of the usually outdated SQL, an upgrade of Database is prompted and is advised to be carried out. All patches reside in include/sqlpatches.php which populate the sql_patches table.

The date field is for information only - indicating the date on which the patch became available. The upgrade script / program only cares about the patch ID. All patches listed in the sql_patches.php file are configured for the default table prefix si_ only. The current SVN - Post SI_20071116 release - addresses the table prefix issue.

 | wiki/the_db_patch_system_for_upgrades.txt · Last modified: 2016/10/11 06:15 (external edit)